Company logoTrust Center Documentation
API v1 ReferenceIntegrationsNotionExport

Import a Notion page (export from Notion)

Export a Notion page as markdown or an attached file. Emits eventName `integrations.notion.export` and failureEventName `integrations.notion.export_failed`.

POST
/api/v1/integrations/notion/export

Export a Notion page as markdown or an attached file. Emits eventName integrations.notion.export and failureEventName integrations.notion.export_failed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/integrations/notion/export" \  -H "Content-Type: application/json" \  -d '{    "pageId": "string"  }'
{  "success": true,  "data": {    "markdown": "# Security Overview",    "page": {      "id": "abcd1234",      "title": "Security Overview",      "url": "https://www.notion.so/abcd1234",      "lastEditedTime": "2025-01-01T10:00:00Z"    },    "file": null,    "fileName": null,    "mimeType": null  }}

How is this guide?